VST 3 Examples VST 3.7 SDK for developing VST plug-in

- Main Page
- Namespaces
- Classes
- Files

- Class List
- Class Index
- Class Hierarchy
- Class Members

All Classes Namespaces Files Functions Variables Typedefs Enumerations Enumerator Properties Macros Groups Pages
Public Types | Public Member Functions | Public Attributes | Static Public Attributes | List of all members
EditorSizeController Class Reference

`#include <editorsizecontroller.h>`

Inheritance diagram for EditorSizeController:

## Public Types
using | SizeFunc = std::function< void(float)>

## Public Member Functions
| EditorSizeController (EditController *editController, const SizeFunc &sizeFunc, double currentSizeFactor)
virtual | ~EditorSizeController ()
void | update (FUnknown *changedUnknown, int32 message) override
VSTGUI::CView * | verifyView (VSTGUI::CView *view, const VSTGUI::UIAttributes &attributes, const VSTGUI::IUIDescription *description) override
void | valueChanged (VSTGUI::CControl *pControl) override
void | controlBeginEdit (VSTGUI::CControl *pControl) override
void | controlEndEdit (VSTGUI::CControl *pControl) override
void | setSizeFactor (double factor)

## Public Attributes
OBJ_METHODS(EditorSizeController, FObject) private RangeParameter * | sizeParameter = nullptr
SizeFunc | sizeFunc

## Static Public Attributes
static const int32_t | kSizeParamTag = 2000

## Member Typedef Documentation

using SizeFunc = std::function<void (float)>

## Constructor & Destructor Documentation

EditorSizeController | ( | EditController * | editController,
|  | const SizeFunc & | sizeFunc,
|  | double | currentSizeFactor
| ) |  |

~EditorSizeController | ( |  | ) |
| virtual

## Member Function Documentation

void update | ( | FUnknown * | changedUnknown,
|  | int32 | message
| ) |  |
| override

VSTGUI::CView * verifyView | ( | VSTGUI::CView * | view,
|  | const VSTGUI::UIAttributes & | attributes,
|  | const VSTGUI::IUIDescription * | description
| ) |  |
| override

void valueChanged | ( | VSTGUI::CControl * | pControl | ) |
| override

void controlBeginEdit | ( | VSTGUI::CControl * | pControl | ) |
| override

void controlEndEdit | ( | VSTGUI::CControl * | pControl | ) |
| override

void setSizeFactor | ( | double | factor | ) |

## Member Data Documentation

const int32_t kSizeParamTag = 2000
| static

OBJ_METHODS (EditorSizeController, FObject) private RangeParameter* sizeParameter = nullptr

SizeFunc sizeFunc

Empty

Copyright ©2024 Steinberg Media Technologies GmbH. All Rights Reserved. This documentation is under this license.